<template>
  <div>
    <div class="" style="padding:10px" align="right">
      <q-btn to="/add" color="secondary" label="Add Equipment" />
    </div>
    <div class="row" style="padding:10px;">
          <div class="col-2" style="padding:10px;" v-for="phone in mobile_phones" :key="phone">
        <q-card class="my-card">
          <q-img src="https://cdn.quasar.dev/img/parallax2.jpg">
            <div class="absolute-bottom">
              <div class="text-h6">{{phone.Brand+' '+phone.model}}</div>
            </div>
          </q-img>
          <q-card-actions vertical >
              <q-btn label="QR Code" to="/view" color="primary" @click="card = true" />
          </q-card-actions>
        </q-card>
      </div>
      <div class="col-2" style="padding:10px;" v-for="laptop in laptops" :key="laptop">
        <q-card class="my-card">
          <q-img src="https://cdn.quasar.dev/img/parallax2.jpg">
            <div class="absolute-bottom">
              <div class="text-h6">{{laptop.brand+' '+laptop.models}}</div>
            </div>
          </q-img>
          <q-card-actions vertical >
              <q-btn label="QR Code" to="/view" color="primary" @click="card = true" />
          </q-card-actions>
        </q-card>
      </div>
      <div class="col-2" style="padding:10px;" v-for="laptop in laptops" :key="laptop">
        <q-card class="my-card">
          <q-img :src="laptop.image">
          </q-img>
        </q-card>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      mobile_phones: [],
      laptops: []
    }
  },
  async created () {
    // axios.get('http://localhost:1337/mobiles')
    //   .then(response => {
    //     // JSON responses are automatically parsed.
    //     this.mobiles = response.data
    //   })
    //   .catch(e => {
    //     this.errors.push(e)
    //   })
    // async / await version (created() becomes async created())
    try {
      const response = await axios.get('http://localhost:1337/mobile-phones')
      this.mobile_phones = response.data
      const response1 = await axios.get('http://localhost:1337/laptops')
      this.laptops = response1.data
    } catch (e) {
      this.errors.push(e)
    }
  }
}

</script>
<style lang="stylus" scoped>
</style>
